
%global meadversion 7.1.0
%global namedversion 7.1.0.SP2-redhat-1
%global meadalpha .SP2_redhat_1
%global meadrel .1
%global serial 3

# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead
%bcond_with repolib
%bcond_with javadoc

%define section free

%define maven_version 7.1.0.SP2-redhat-1

Name:           jboss-transaction-spi
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Transaction 7.0.0 SPI
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: jboss-transaction-spi-7.1.0.SP2-redhat-1-scm-sources.zip
Source102: jboss-transaction-spi-7.1.0.SP2-redhat-1.pom
Source103: jboss-transaction-spi-7.1.0.SP2-redhat-1-project-sources.tar.gz
Source104: jboss-transaction-spi-7.1.0.SP2-redhat-1-sources.jar
Source105: jboss-transaction-spi-7.1.0.SP2-redhat-1.jar
Source106: jboss-transaction-spi-7.1.0.SP2-redhat-1-javadoc.jar
%endif

URL:            http://www.jboss.org/
%if %without mead
svn export http://anonsvn.jboss.org/repos/jbossas/projects/integration/tags/jboss-transaction-spi-7.0.0.Final/ jboss-transaction-spi-7.0.0.Final
tar -jcf jboss-transaction-spi-7.0.0.Final.tar.bz2 jboss-transaction-spi-7.0.0.Final/
Source0:        %{name}-7.0.0.Final.tar.bz2 
%endif
# Changes now done in Git
#Patch0:         %{name}-vman-pom.patch
Requires(post): jpackage-utils 
Requires(postun): jpackage-utils 
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging
Requires:       jboss-transaction-api_1.1_spec
Requires:       jboss-connector-api_1.6_spec
%if %without mead
BuildRequires:  maven2
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  jboss-parent
BuildRequires:  jboss-component-management
BuildRequires:  jboss-logging
BuildRequires:  jboss-transaction-api_1.1_spec
BuildRequires:  jboss-connector-api_1.6_spec
%else
%if %with javadoc
BuildRequires:  unzip
%endif
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java Transaction 7.0.0 SPI classes

%if %with javadoc
%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
%{summary}.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q -n %{name}-7.0.0.Final
###%%%%patch0 -p1
%endif

%build
%if %without mead
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=jboss-releases::default::file://`pwd`/maven2-brew
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -Dmaven.test.skip -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -DperformRelease deploy javadoc:aggregate
%endif

%install
rm -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%if %without mead
%{__cp} -p target/jboss-transaction-spi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p target/jboss-transaction-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p target/jboss-transaction-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%endif

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{namedversion}||g"`; done)

# pom
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
%{__cp} -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%endif

# depmap
%add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}
[ -f %{buildroot}%{_mavendepmapfragdir}/%{name} ] || mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}

# javadoc
%if %with javadoc
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
%else
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
%endif
%endif

# repolib
%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/jboss-transaction-spi-%{namedversion}.jar
%{_javadir}/jboss-transaction-spi.jar
%{_javadir}/jboss-transaction-spi-%{namedversion}-sources.jar
%{_javadir}/jboss-transaction-spi-sources.jar
%{_mavenpomdir}/JPP-jboss-transaction-spi.pom
%{_mavendepmapfragdir}/jboss-transaction-spi

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}
%{_javadir}/jboss-transaction-spi-%{namedversion}-javadoc.jar
%{_javadir}/jboss-transaction-spi-javadoc.jar
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Wed Oct 19 2016 Aurel Pintea <apintea@redhat.com> - 7.1.0-3.SP2_redhat_1.1
- Upgrade to 7.1.0.SP2

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-2.Final_redhat_1.1
- Re-wrap for all RHEL versions

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-1.Final_redhat_1.1
- 7.1.0.Final mead-scheduler

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-1.Final_redhat_1.1
- 7.1.0.Final mead-scheduler

* Mon Mar 24 2014 Yong Yang <yyang@redhat.com> - 7.1.0-1.Final_redhat_1.1
- 7.1.0.Final mead-scheduler

* Mon Mar 24 2014 Fernando Nasser <fnasser@redhat.com> - 0:7.1.0-1.Final_redhat_1
- 7.1.0.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.10.Final_redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 0:7.0.0-0.9.Final_redhat_2
- Update pom patch for eap 6.0.1

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.8.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.8.Final_redhat_1.1
- Rebuild using cache signing

* Mon Jun 18 2012 Martha Benitez <mbenitez@redhat.com> - 0:7.0.0-0.8.Final_redhat_1
- Build in MEAD

* Fri Jun 15 2012 Martha Benitez <mbenitez@redhat.com> - 0:7.0.0-0.7.Final_redhat_1
- First build with jboss-transaction-spi name

* Tue Mar 27 2012 David Walluck <dwalluck@redhat.com> 0:7.0.0-0.6
- remove bad depmap file
- fix mvn command
- javadoc requires jpackage-utils
- fix repolib file ownership

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:7.0.0-0.5.Final_redhat_1.1
- Rebuild using cache signing

* Mon Feb 20 2012 Lin Gao <lgao@redhat.com> 0:7.0.0-0.5.Final_redhat_1
- Upgrade to 7.0.0.Final
- Fix dependnecy from jboss-connector-api_1.5_spec to jboss-connector-api_1.6_spec
- Fix depmap
- Change jar files location

* Mon Feb 06 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-0.4.CR1_redhat_1
- Fix pom patch

* Tue Feb 02 2012 Hui Wang <huwang@redhat.com> 0:7.0.0-0.3.CR1_redhat_1
- Update pom patch
- Adjust BR/R
- Cleanup

* Sun Sep 18 2011 Lin Gao <lgao@redhat.com> - 0:7.0.0-0.2.CR1_redhat_1
- wolf build phrase

* Fri Jul 08 2011 Hui Wang <huwang@redhat.com> - 0:7.0.0-0.1.CR1
- Upgrade to 7.0.0.CR1

* Fri Jun 03 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.3.CR1
- Remove BR/R jboss-aop2

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.2.CR1
- Fix name of subpackages
- Add BR/R gnu-trove

* Tue May 31 2011 Hui Wang <huwang@redhat.com> - 0:6.0.0-0.1.CR1
- Upgrade to 6.0.0.CR1

* Mon Nov 29 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2.SP1.5
- Build with maven 2.2.1
- Change BR maven-release to maven-release-plugin
- Add BR maven-deploy-plugin, maven-site-plugin
- Change to javadoc:aggreagate

* Tue Aug 10 2010 Yiqiao Wang <yiwang@redhat.com> - 0:5.1.0-2.SP1.4.1.2
- Change R from jacorb to jacorb-jboss

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:5.1.0-2.SP1.4.1.1
- rebuilt

* Tue Apr 20 2010 Yiqiao Wang <yiwang@redhat.com>  0:5.1.0-2.SP1.4.1
- Rebuild 
- Fix depmap entry for dtdparser 

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.4
- Add sources.jar as artifact in component-info.xml

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.3
- Update component-info.xml

* Thu Aug 20 2009 Permaine Cheung <pcheung@redhat.com> 0:5.1.0-2.SP1.2
- Add sources.jar
- Add poms to repolib
- Add jboss-jca-spi as an artifact in c-i.xml

* Tue Jul 21 2009 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-2.SP1.1
- Change Release to include reltag

* Tue Jul 21 2009 Martha Benitez <mbenitez@redhat.com> 0:5.1.0-2.1
- Upgrade to SP1

* Thu Jun 18 2009 David Walluck <dwalluck@redhat.com> 0:5.1.0-2
- add repolib
- use jboss APIs to work around issue with jta alternative

* Thu Jun 11 2009 Ralph Apel <r.apel@r-apel.de> - 0:5.1.0-1.jpp5
- first release

